%global momorel 5

Summary: An Evas smart-object library providing video capabilities
Name: emotion
Version: 0.1.0.042
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: System Environment/Libraries
URL: http://www.enlightenment.org/
Source0: http://download.enlightenment.org/snapshots/2008-01-25/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: edje-devel >= 0.9.92.061
BuildRequires: xine-lib >= 1.1.1
BuildRequires: gstreamer >= 0.8.10
BuildRequires: gstreamer-devel >= 0.8.10
BuildRequires: gstreamer-plugins-base
BuildRequires: gstreamer-plugins-good xine-lib

%description
Emotion is an Evas smart-object library providing video capabilities. Emotion
leverages xine-lib or GStreamer and integrates seamlessly with the rest of the
EFL.

%package devel
Summary: Emotion headers, static libraries, documentation and test programs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: evas-devel pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q


%build
autoreconf -fi
%configure --disable-static
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
chrpath --delete %{buildroot}%{_libdir}/%{name}/*.so
find %{buildroot} -name "*.la" -delete
# remove test player
rm %{buildroot}%{_bindir}/%{name}_test
# and its theme too
rm %{buildroot}%{_datadir}/%{name}/data/theme.edj


%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_libdir}/*.so.*
%{_libdir}/%{name}/*.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Jun 17 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.0.042-5m)
- rebuild against new EFL

* Sun Jun  7 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.0.042-4m)
- rebuild against new EFL

* Thu May 21 2009 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.1.0.042-3m)
- add autoreconf (build fix)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.0.042-2m)
- rebuild against rpm-4.6

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.0.042-1m)
- merge from T4R
-
- changelog is below
- * Tue Mar 25 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- - (0.1.0.042-1m)
- - update to 0.1.0.042

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.1.004-0.20061222.3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1.004-0.20061222.2m)
- %%NoSource -> NoSource

* Mon Jan  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.0.1.004-0.20061222.1m)
- version 0.0.1.004-20061222

* Mon Dec 26 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.0.1.004-0.20051209.2m)
- add BuildPreReq: gstreamer >= 0.8.10
- add BuildPreReq: gstreamer-devel >= 0.8.10
- add BuildPreReq: gst-plugins >= 0.8.10

* Sat Dec 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.0.1.004-0.20051209.1m)
- version 0.0.1.004-20051209

* Tue Jun 28 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.0.1.003-0.20050627.1m)
- version 0.0.1.003-20050627

* Thu Feb 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.0.1-0.20050215.1m)
- version 0.0.1-0.20050215

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.0.1-0.20041218.3m)
- rebuild against evas-1.0.0-0.20041218.4m

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.0.1-0.20041218.2m)
- enable x86_64.

* Tue Dec 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.0.1-0.20041218.1m)
- first import to Momonga    

